import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchuelerBetriebsdaten extends JavaObject {
    id: Number | null;
    schueler_id: Number | null;
    betrieb_id: Number | null;
    beschaeftigungsart_id: Number | null;
    vertragsbeginn: String | null;
    vertragsende: String | null;
    ausbilder: String | null;
    allgadranschreiben: Boolean | null;
    praktikum: Boolean | null;
    sortierung: Number | null;
    ansprechpartner_id: Number | null;
    betreuungslehrer_id: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerBetriebsdaten;
    static transpilerToJSON(obj: SchuelerBetriebsdaten): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerBetriebsdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerBetriebsdaten(obj: unknown): SchuelerBetriebsdaten;
